using Avalonia;
using Avalonia.Controls;
using Avalonia.Markup.Xaml;

using AvaloniaCoreRTDemo.Windows.ViewModels;

namespace AvaloniaCoreRTDemo.Windows;

public sealed partial class AboutWindow : Window
{
    private readonly bool _darkTheme;

    public AboutWindow() : this(false) { }

    public AboutWindow(bool darkTheme)
    {
        _darkTheme = darkTheme;
        InitializeComponent();
#if DEBUG
        this.AttachDevTools();
#endif
    }

    private void InitializeComponent()
    {
        AvaloniaXamlLoader.Load(this);
        DataContext = new AboutViewModel(_darkTheme);
    }
}