﻿using Avalonia.Controls;

using AvaloniaCoreRTDemo.Interfaces;

namespace AvaloniaCoreRTDemo.Windows.ViewModels;

internal sealed class MainViewModel<TWindow> : ApplicationModelBase where TWindow : Window, IMainWindow
{
    private TWindow _window;

    public MainViewModel(TWindow window) : base(window.ThemeSwitch)
    {
        _window = window;
    }

    protected override void HelpAbout() => RunHelpAbout(_window);

    protected override void DefaultLight() => SetTheme(ApplicationTheme.SimpleLight);

    protected override void DefaultDark() => SetTheme(ApplicationTheme.SimpleDark);

    protected override void FluentLight() => SetTheme(ApplicationTheme.FluentLight);

    protected override void FluentDark() => SetTheme(ApplicationTheme.FluentDark);
}